package com.example.library;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;

@Controller
public class ViewController {

  private final LibraryService libraryService;

  public ViewController(LibraryService libraryService) {
    this.libraryService = libraryService;
  }

  @GetMapping("/")
  public String index(Model model) {
    model.addAttribute("books", libraryService.findAllBooks());
    return "index";
  }
}
